Bug 365541 - TAHI--DHCPv6--when receiving a Confirm Msg via unicast, NUT returns unexpected Reply Message
TAHI--DHCPv6--when receiving a Confirm Msg via unicast, NUT returns unexpecte...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: 253764
  Show dependency treegraph
 
Reported: 2007-11-04 01:43 EST by Zhiyong Wu
Modified: 2008-05-21 12:02 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0365
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:02:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhiyong Wu 2007-11-04 01:43:42 EST
Description of problem:

  When having dhcpv6 tests in the server mode,we found that when receiving a 

Confirm Msg via unicast, NUT returns unexpected Reply Message in some 

scenarios.

Version-Release number of selected component (if applicable):

  kernel-2.6.18-43.el5

Software Environment:   
  Testee(NUT):   
    RHEL5 
    Kernel:2.6.18-43.el5 
   
  Tester(TN):   
    FreeBSD6.2
    v6eval-3.0.12.tar.gz
   
TAHI package:    
  DHCPv6_Self_Test_P2_1_0_7.tar.gz

How reproducible:
  every time

Steps to Reproduce:    
  1. Configure TAHI test environment.     
  2. Run the TAHI test suite     
  3. After the test completes, check for the results 
  
Actual results:

   when receiving a Confirm Msg via unicast, NUT returns unexpected Reply 

Message.

Expected results:

   when receiving a Confirm Msg via unicast, NUT should not return unexpected 

Reply Message.

Additional info:
  
   please refer to 

http://focus.brisbane.redhat.com/~zwu/dhcp_server/20071101/DHCPv6_Self_Test_P2_
1_0_7_server/rfc3315/index.html

   (1) 46 Part A : Reception of Confirm message via unicast
Comment 1 RHEL Product and Program Management 2007-11-07 05:34:45 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Zhiyong Wu 2007-12-27 23:43:37 EST
the bug has been tested PASS with dhcpv6-1.0.4-1.el5.i386.rpm 
dhcpv6-client-1.0.4-1.el5.i386.rpm  libdhcp6client-1.0.4-1.el5.i386.rpm.
Comment 4 Zhiyong Wu 2008-02-22 01:55:20 EST
the test cases still FAIL On RHEL5.2 with dhcpv6-1.0.10

for more details, pls refer to

http://focus.brisbane.redhat.com/~zwu/RHEL5.2-Server-20080212.0/20080220/DHCPv6_Self_Test_P2_1_0_8_server_1.0.10/rfc3315/index.html
Comment 6 Denise Dumas 2008-02-27 10:24:42 EST
In order to debug this problem, we need the test case for RHEL 5.2 with an exact
reproducer, including output with verbose debugging messages from the DHCPV6
software.  One way to do this would be to extract the commands that TAHI runs.
The man pages for dhcp6s, dhcp6r, and dhcp6c all show how to generate verbose
debug messages. 
Comment 8 David Cantrell 2008-03-12 16:15:31 EDT
Fixed in dhcpv6-1.0.10-2.el5.
Comment 12 errata-xmlrpc 2008-05-21 12:02:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0365.html

Note You need to log in before you can comment on or make changes to this bug.